Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.freemarker.servlet
Class TilesFreemarkerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              freemarker.ext.servlet.FreemarkerServlet
                  org.apache.tiles.freemarker.servlet.TilesFreemarkerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class TilesFreemarkerServlet

extends freemarker.ext.servlet.FreemarkerServlet

Extends FreemarkerServlet to load Tiles directives as a shared variable.

Since:
  2.2.0
Version:
  $Rev: 821407 $ $Date: 2009-10-03 22:12:01 +0200 (sab, 03 ott 2009) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class freemarker.ext.servlet.FreemarkerServlet
`debug, KEY_APPLICATION, KEY_APPLICATION_PRIVATE, KEY_INCLUDE, KEY_JSP_TAGLIBS, KEY_REQUEST, KEY_REQUEST_PARAMETERS, KEY_REQUEST_PRIVATE, KEY_SESSION, serialVersionUID`

Constructor Summary
`TilesFreemarkerServlet()`

Method Summary
`protected freemarker.template.Configuration` | `createConfiguration()`
`protected freemarker.cache.TemplateLoader` | `createTemplateLoader(java.lang.String templatePath)`

Methods inherited from class freemarker.ext.servlet.FreemarkerServlet
`createModel, createObjectWrapper, createRequestParametersHashModel, deduceLocale, doGet, doPost, getConfiguration, getObjectWrapper, getTemplatePath, init, initializeServletContext, initializeSession, postTemplateProcess, preprocessRequest, preTemplateProcess, requestUrlToTemplatePath`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesFreemarkerServlet

    public TilesFreemarkerServlet()

Method Detail

### createConfiguration

    protected freemarker.template.Configuration createConfiguration()

  Overrides:
    `createConfiguration` in class `freemarker.ext.servlet.FreemarkerServlet`

### createTemplateLoader

    protected freemarker.cache.TemplateLoader createTemplateLoader(java.lang.String templatePath)
                                                            throws java.io.IOException

  Overrides:
    `createTemplateLoader` in class `freemarker.ext.servlet.FreemarkerServlet`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.